InfoGrab Docs

그룹 이슈 보드 API

그룹 이슈 보드와 해당 목록을 관리하는 REST API입니다.

이 API를 사용하여 그룹 이슈 보드 를 관리합니다. 이 API에 대한 모든 호출에는 인증이 필요합니다. 사용자가 그룹 멤버가 아니고 그룹이 비공개인 경우 GET 요청은 404 상태 코드를 반환합니다. 그룹의 모든 그룹 이슈 보드 나열 # 지정된 그룹의 모든 그룹 이슈 보드를 나열합니다. GET /groups/:id/boards 속성 유형 필수 여부 설명 id 정수 또는 문자열 예 그룹의 ID 또는 URL-인코딩된 경로 . curl --request GET \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/groups/5/boards" 응답 예시: [ { "id" : 1 , "name" : "group issue board" , "hide_backlog_list" : false , "hide_closed_list" : false , "group" : { "id" : 5 , "name" : "Documentcloud" , "web_url" : "http://example.com/groups/documentcloud" } , "milestone" : { "id" : 12 , "title" : "10.0" } , "lists" : [ { "id" : 1 , "label" : { "name" : "Testing" , "color" : "#F0AD4E" , "description" : null } , "position" : 1 } , { "id" : 2 , "label" : { "name" : "Ready" , "color" : "#FF0000" , "description" : null } , "position" : 2 } , { "id" : 3 , "label" : { "name" : "Production" , "color" : "#FF5F00" , "description" : null } , "position" : 3 } ] } ] GitLab Premium 또는 Ultimate 사용자는 여러 그룹 보드를 가질 수 있어 다른 파라미터를 볼 수 있습니다. 응답 예시: [ { "id" : 1 , "name" : "group issue board" , "hide_backlog_list" : false , "hide_closed_list" : false , "group" : { "id" : 5 , "name" : "Documentcloud" , "web_url" : "http://example.com/groups/documentcloud" } , "milestone" : { "id" : 12 , "title" : "10.0" } , "lists" : [ { "id" : 1 , "label" : { "name" : "Testing" , "color" : "#F0AD4E" , "description" : null } , "position" : 1 } , { "id" : 2 , "label" : { "name" : "Ready" , "